aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/dunst/install.sh
diff options
context:
space:
mode:
authorToby Vincent <tobyv@tobyvin.dev>2024-02-08 14:25:33 -0600
committerToby Vincent <tobyv@tobyvin.dev>2024-02-08 14:25:33 -0600
commit1823aaee572aa73a278bed7d1d214738b906de60 (patch)
treea232ec7bea0b0312d4edd0a1d92775a956f24548 /dunst/install.sh
parent080f677d4aa250c09d8cc81bc6d111361ad3c653 (diff)
feat(dunst): pause dunst when idle
Diffstat (limited to 'dunst/install.sh')
-rwxr-xr-xdunst/install.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/dunst/install.sh b/dunst/install.sh
new file mode 100755
index 0000000..9eb6a20
--- /dev/null
+++ b/dunst/install.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+pkgname=dunstctl
+
+if ! command -v "$pkgname" >/dev/null; then
+ printf "%s: $pkgname not found, skipping...\n" "$0"
+ exit 0
+fi
+
+printf "%s: Installing services\n" "$0"
+
+systemctl --user enable --no-block dunst-pause.service